Github messages for voidlinux
 help / color / Atom feed
* [PR PATCH] util-linux: compile with eudev
@ 2019-10-30  1:32 voidlinux-github
  2019-10-30  4:16 ` [PR PATCH] [Updated] " voidlinux-github
                   ` (6 more replies)
  0 siblings, 7 replies; 8+ messages in thread
From: voidlinux-github @ 2019-10-30  1:32 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 597 bytes --]

There is a new pull request by zdtcd against master on the void-packages repository

https://github.com/zdtcd/void-packages util-linux-udev
https://github.com/void-linux/void-packages/pull/15920

util-linux: compile with eudev
lsblk needs udev support to read LABEL, UUID and filesystem without root
permission.

eudev is already a dependency of base-voidstrap and base-system,
so most of people won't be effected by this new dependencies.

However, base-minimal depends on util-linux but not eudev.

A patch file from https://github.com/void-linux/void-packages/pull/15920.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-util-linux-udev-15920.patch --]
[-- Type: text/x-diff, Size: 1518 bytes --]

From cadad28d4abc1e544be80ff3f4320624aacd6b68 Mon Sep 17 00:00:00 2001
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
Date: Wed, 30 Oct 2019 08:24:20 +0700
Subject: [PATCH] util-linux: compile with eudev

lsblk needs udev support to read LABEL, UUID and filesystem without root
permission.

eudev is already a dependency of base-voidstrap and base-system,
so most of people won't be effected by this new dependencies.

However, base-minimal depends on util-linux but not eudev.
---
 srcpkgs/util-linux/template | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/util-linux/template b/srcpkgs/util-linux/template
index 9f912097d85..122c9a4f0e1 100644
--- a/srcpkgs/util-linux/template
+++ b/srcpkgs/util-linux/template
@@ -1,9 +1,9 @@
 # Template file for 'util-linux'
 pkgname=util-linux
 version=2.34
-revision=2
+revision=3
 hostmakedepends="automake bison gettext-devel libtool pkg-config"
-makedepends="libcap-ng-devel pam-devel readline-devel zlib-devel"
+makedepends="libcap-ng-devel pam-devel readline-devel zlib-devel eudev-libudev-devel"
 checkdepends="ncurses" # Some tests require terminfo-entries
 short_desc="Miscellaneous linux utilities"
 maintainer="Enno Boland <gottox@voidlinux.org>"
@@ -40,8 +40,7 @@ do_configure() {
 		--enable-fs-paths-extra=/usr/sbin:/usr/bin \
 		--enable-vipw --enable-newgrp --enable-chfn-chsh \
 		--with-systemdsystemunitdir=no \
-		--without-udev --without-python \
-		--enable-write
+		--without-python --enable-write
 }
 
 do_build() {

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [PR PATCH] [Updated] util-linux: compile with eudev
  2019-10-30  1:32 [PR PATCH] util-linux: compile with eudev voidlinux-github
@ 2019-10-30  4:16 ` " voidlinux-github
  2019-10-30  4:16 ` voidlinux-github
                   ` (5 subsequent siblings)
  6 siblings, 0 replies; 8+ messages in thread
From: voidlinux-github @ 2019-10-30  4:16 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 602 bytes --]

There is an updated pull request by zdtcd against master on the void-packages repository

https://github.com/zdtcd/void-packages util-linux-udev
https://github.com/void-linux/void-packages/pull/15920

util-linux: compile with eudev
lsblk needs udev support to read LABEL, UUID and filesystem without root
permission.

eudev is already a dependency of base-voidstrap and base-system,
so most of people won't be effected by this new dependencies.

However, base-minimal depends on util-linux but not eudev.

A patch file from https://github.com/void-linux/void-packages/pull/15920.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-util-linux-udev-15920.patch --]
[-- Type: text/x-diff, Size: 1608 bytes --]

From 5e819934b50f99dc826b1b7558867d2e93e8cad7 Mon Sep 17 00:00:00 2001
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
Date: Wed, 30 Oct 2019 08:24:20 +0700
Subject: [PATCH] util-linux: compile with eudev

lsblk needs udev support to read LABEL, UUID and filesystem without root
permission.

eudev is already a dependency of base-voidstrap and base-system,
so most of people won't be effected by this new dependencies.

However, base-minimal depends on util-linux but not eudev.
---
 srcpkgs/util-linux/template | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/util-linux/template b/srcpkgs/util-linux/template
index 9f912097d85..99cc99f8e16 100644
--- a/srcpkgs/util-linux/template
+++ b/srcpkgs/util-linux/template
@@ -1,9 +1,9 @@
 # Template file for 'util-linux'
 pkgname=util-linux
 version=2.34
-revision=2
+revision=3
 hostmakedepends="automake bison gettext-devel libtool pkg-config"
-makedepends="libcap-ng-devel pam-devel readline-devel zlib-devel"
+makedepends="libcap-ng-devel pam-devel readline-devel zlib-devel eudev-libudev-devel"
 checkdepends="ncurses" # Some tests require terminfo-entries
 short_desc="Miscellaneous linux utilities"
 maintainer="Enno Boland <gottox@voidlinux.org>"
@@ -40,8 +40,7 @@ do_configure() {
 		--enable-fs-paths-extra=/usr/sbin:/usr/bin \
 		--enable-vipw --enable-newgrp --enable-chfn-chsh \
 		--with-systemdsystemunitdir=no \
-		--without-udev --without-python \
-		--enable-write
+		--without-python --enable-write
 }
 
 do_build() {
@@ -152,4 +151,3 @@ libsmartcols_package() {
 		vmove usr/lib/libsmartcols.so.*
 	}
 }
-

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [PR PATCH] [Updated] util-linux: compile with eudev
  2019-10-30  1:32 [PR PATCH] util-linux: compile with eudev voidlinux-github
  2019-10-30  4:16 ` [PR PATCH] [Updated] " voidlinux-github
@ 2019-10-30  4:16 ` voidlinux-github
  2019-11-02  9:36 ` [PR PATCH] [Merged]: " voidlinux-github
                   ` (4 subsequent siblings)
  6 siblings, 0 replies; 8+ messages in thread
From: voidlinux-github @ 2019-10-30  4:16 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 602 bytes --]

There is an updated pull request by zdtcd against master on the void-packages repository

https://github.com/zdtcd/void-packages util-linux-udev
https://github.com/void-linux/void-packages/pull/15920

util-linux: compile with eudev
lsblk needs udev support to read LABEL, UUID and filesystem without root
permission.

eudev is already a dependency of base-voidstrap and base-system,
so most of people won't be effected by this new dependencies.

However, base-minimal depends on util-linux but not eudev.

A patch file from https://github.com/void-linux/void-packages/pull/15920.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-util-linux-udev-15920.patch --]
[-- Type: text/x-diff, Size: 1608 bytes --]

From 5e819934b50f99dc826b1b7558867d2e93e8cad7 Mon Sep 17 00:00:00 2001
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
Date: Wed, 30 Oct 2019 08:24:20 +0700
Subject: [PATCH] util-linux: compile with eudev

lsblk needs udev support to read LABEL, UUID and filesystem without root
permission.

eudev is already a dependency of base-voidstrap and base-system,
so most of people won't be effected by this new dependencies.

However, base-minimal depends on util-linux but not eudev.
---
 srcpkgs/util-linux/template | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/util-linux/template b/srcpkgs/util-linux/template
index 9f912097d85..99cc99f8e16 100644
--- a/srcpkgs/util-linux/template
+++ b/srcpkgs/util-linux/template
@@ -1,9 +1,9 @@
 # Template file for 'util-linux'
 pkgname=util-linux
 version=2.34
-revision=2
+revision=3
 hostmakedepends="automake bison gettext-devel libtool pkg-config"
-makedepends="libcap-ng-devel pam-devel readline-devel zlib-devel"
+makedepends="libcap-ng-devel pam-devel readline-devel zlib-devel eudev-libudev-devel"
 checkdepends="ncurses" # Some tests require terminfo-entries
 short_desc="Miscellaneous linux utilities"
 maintainer="Enno Boland <gottox@voidlinux.org>"
@@ -40,8 +40,7 @@ do_configure() {
 		--enable-fs-paths-extra=/usr/sbin:/usr/bin \
 		--enable-vipw --enable-newgrp --enable-chfn-chsh \
 		--with-systemdsystemunitdir=no \
-		--without-udev --without-python \
-		--enable-write
+		--without-python --enable-write
 }
 
 do_build() {
@@ -152,4 +151,3 @@ libsmartcols_package() {
 		vmove usr/lib/libsmartcols.so.*
 	}
 }
-

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [PR PATCH] [Merged]: util-linux: compile with eudev
  2019-10-30  1:32 [PR PATCH] util-linux: compile with eudev voidlinux-github
  2019-10-30  4:16 ` [PR PATCH] [Updated] " voidlinux-github
  2019-10-30  4:16 ` voidlinux-github
@ 2019-11-02  9:36 ` " voidlinux-github
  2019-11-08 22:05 ` voidlinux-github
                   ` (3 subsequent siblings)
  6 siblings, 0 replies; 8+ messages in thread
From: voidlinux-github @ 2019-11-02  9:36 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 442 bytes --]

There's a merged pull request on the void-packages repository

util-linux: compile with eudev
https://github.com/void-linux/void-packages/pull/15920

Description:
lsblk needs udev support to read LABEL, UUID and filesystem without root
permission.

eudev is already a dependency of base-voidstrap and base-system,
so most of people won't be effected by this new dependencies.

However, base-minimal depends on util-linux but not eudev.

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: util-linux: compile with eudev
  2019-10-30  1:32 [PR PATCH] util-linux: compile with eudev voidlinux-github
                   ` (2 preceding siblings ...)
  2019-11-02  9:36 ` [PR PATCH] [Merged]: " voidlinux-github
@ 2019-11-08 22:05 ` voidlinux-github
  2019-11-08 22:05 ` voidlinux-github
                   ` (2 subsequent siblings)
  6 siblings, 0 replies; 8+ messages in thread
From: voidlinux-github @ 2019-11-08 22:05 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 218 bytes --]

New comment by Duncaen on void-packages repository

https://github.com/void-linux/void-packages/pull/15920#issuecomment-552007563

Comment:
This a build dependency cyclic between eudev and libblkid-devel (util-linux).

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: util-linux: compile with eudev
  2019-10-30  1:32 [PR PATCH] util-linux: compile with eudev voidlinux-github
                   ` (3 preceding siblings ...)
  2019-11-08 22:05 ` voidlinux-github
@ 2019-11-08 22:05 ` voidlinux-github
  2019-11-08 22:06 ` voidlinux-github
  2019-11-08 22:39 ` voidlinux-github
  6 siblings, 0 replies; 8+ messages in thread
From: voidlinux-github @ 2019-11-08 22:05 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 229 bytes --]

New comment by Duncaen on void-packages repository

https://github.com/void-linux/void-packages/pull/15920#issuecomment-552007563

Comment:
This introduced a build dependency cyclic between eudev and libblkid-devel (util-linux).

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: util-linux: compile with eudev
  2019-10-30  1:32 [PR PATCH] util-linux: compile with eudev voidlinux-github
                   ` (4 preceding siblings ...)
  2019-11-08 22:05 ` voidlinux-github
@ 2019-11-08 22:06 ` voidlinux-github
  2019-11-08 22:39 ` voidlinux-github
  6 siblings, 0 replies; 8+ messages in thread
From: voidlinux-github @ 2019-11-08 22:06 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 228 bytes --]

New comment by Duncaen on void-packages repository

https://github.com/void-linux/void-packages/pull/15920#issuecomment-552007563

Comment:
This introduced a build dependency cycle between eudev and libblkid-devel (util-linux).

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: util-linux: compile with eudev
  2019-10-30  1:32 [PR PATCH] util-linux: compile with eudev voidlinux-github
                   ` (5 preceding siblings ...)
  2019-11-08 22:06 ` voidlinux-github
@ 2019-11-08 22:39 ` voidlinux-github
  6 siblings, 0 replies; 8+ messages in thread
From: voidlinux-github @ 2019-11-08 22:39 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 357 bytes --]

New comment by zdtcd on void-packages repository

https://github.com/void-linux/void-packages/pull/15920#issuecomment-552018033

Comment:
On 2019-11-08 14:05:42 -0800, Duncan Overbruck wrote:
> This a build dependency cyclic between eudev and libblkid-devel (util-linux).

Let me see if I could modify chroot-util-linux to provide
libblkid-devel

-- 
Danh


^ permalink raw reply	[flat|nested] 8+ messages in thread

end of thread, back to index

Thread overview: 8+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-10-30  1:32 [PR PATCH] util-linux: compile with eudev voidlinux-github
2019-10-30  4:16 ` [PR PATCH] [Updated] " voidlinux-github
2019-10-30  4:16 ` voidlinux-github
2019-11-02  9:36 ` [PR PATCH] [Merged]: " voidlinux-github
2019-11-08 22:05 ` voidlinux-github
2019-11-08 22:05 ` voidlinux-github
2019-11-08 22:06 ` voidlinux-github
2019-11-08 22:39 ` voidlinux-github

Github messages for voidlinux

Archives are clonable: git clone --mirror http://inbox.vuxu.org/voidlinux-github

Example config snippet for mirrors

Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git